Bug 1270391 - segfault in hwloc_plugin_check_namespace if HWLOC_PLUGINS_VERBOSE is not set
segfault in hwloc_plugin_check_namespace if HWLOC_PLUGINS_VERBOSE is not set
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: hwloc (Show other bugs)
22
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jiri Hladky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 17:27 EDT by Guy Streeter
Modified: 2016-07-19 15:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:57:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guy Streeter 2015-10-09 17:27:26 EDT
Created attachment 1081460 [details]
proposed patch

Description of problem:
segfault in the hwloc library. Seems to only affect multi-threaded applications


Version-Release number of selected component (if applicable):
hwloc-1.11.0-4.fc22

How reproducible:
Seems to always fail in multi-threaded programs, never in single-threaded ones.


Steps to Reproduce:
1. run a multi-threaded program that uses the hwloc library

Actual results:
immediate segfault

Expected results:
no segfault


Additional info:
I do not see a failure on Fedora 21, although the bug is there as well.
I will attach the patch I proposed to upstream.
Comment 2 Michal Schmidt 2016-05-19 10:07:53 EDT
The patch has been merged in hwloc-1.11.1.
https://github.com/open-mpi/hwloc/commit/dceb1534841a6e0215674502da06872df19d860c

The current upstream release is hwloc-1.11.3.
https://www.open-mpi.org/community/lists/hwloc-announce/2016/04/0085.php

Jiří, would you update the package?
Comment 3 Fedora End Of Life 2016-07-19 15:57:47 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.